=== debian/changelog ===
ros-kinetic-jog-arm (0.0.3-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 30 Nov 2017 19:54:19 -0000
